// Slow solution for problem C
// Author: Adam Polak

#include <algorithm>
#include <iostream>
#include <map>
#include <utility>
#include <vector>
using namespace std;

const int N = 100000;
const int M = 1000000;

bool sieve[M];
vector<long> primes;

int main() {
  ios_base::sync_with_stdio(0);

  for (int i=0; i<M; ++i)
    sieve[i] = true;
  for (int i=2; i*i<=M; ++i)
    if (sieve[i])
      for (int j=i*i; j<M; j+=i)
        sieve[j] = false;
  for (int i=2; i<M; ++i)
    if (sieve[i])
      primes.push_back(i);
  
  int Z;
  cin >> Z;
  while (Z--) {
    int n;
    cin >> n;
    long long best = n;
    map<pair<long long, int>, int> prev, curr;
    for (int i=0; i<n; ++i) {
      long long a;
      cin >> a;
      vector<pair<long long, int>> factors;
      for (int i=0; i<primes.size() && primes[i]*primes[i]<=a; ++i) {
        long long p = primes[i];
        int  k = 0;
        while (a % p == 0) {
          a /= p;
          k++;
          factors.push_back(make_pair(p, k));
        }
      }
      if (a > 1) factors.push_back(make_pair(a, 1));
      
      prev = curr;
      curr.clear();
      for (auto factor : factors)
        curr[factor] = 1 + prev[factor];

      vector<pair<int, long long>> spans;
      for (auto it : curr)
        spans.push_back(make_pair(it.second, it.first.first));
      sort(spans.begin(), spans.end());

      long long val = 1;
      for (int i=spans.size()-1; i>=0; --i) {
        val *= spans[i].second;
        best = max(best, val * spans[i].first);
      }
    }
    cout << best << endl;
  }
  return 0;
}
